import { createAsyncThunk } from "@reduxjs/toolkit";
import { fetchSystemspannung15VminusService } from "@/services/fetchSystemspannung15VminusService";

export const getSystemspannung15VminusThunk = createAsyncThunk(
  "systemspannung15Vminus/fetch",
  async (typ: "DIA0" | "DIA1" | "DIA2", thunkAPI) => {
    try {
      const data = await fetchSystemspannung15VminusService(typ);
      return { typ, data };
    } catch (error) {
      console.error("Fehler in getSystemspannung15VminusThunk:", error);
      return thunkAPI.rejectWithValue("Fehler beim Laden der -15V-Daten");
    }
  }
);
